Page MenuHomePhabricator

{{hat}} and similar templates on Wikipedia are invisible to mobile web view.
Closed, ResolvedPublic

Description

When using mobile view, {{hat}} and {{collapse-top}} templates, and the content they enclose, are completely invisible.


Photograph of this revision of WP:AE displayed on a Samsung Galaxy S5 (I couldn't work out how to screenshot it!). Rendered in the latest version of Chrome for Android.


Screenshot of my sandbox page rendered in desktop view by Firefox 36.0.4.


Screenshot of the same page rendered in mobile view in the same browser. All sections are expanded and should be visible.

Related Objects

StatusAssignedTask
OpenNone
ResolvedTheDJ
ResolvedTgr
ResolvedAnomie
Resolvedtstarling
Resolvedcoren
ResolvedAnomie
StalledMhurd
ResolvedAnomie
ResolvedEsanders
ResolvedEsanders
Resolvedssastry
ResolvedAnomie
ResolvedCKoerner_WMF
Resolvedjhsoby
ResolvedTgr
DeclinedTgr
Resolvedcoren
ResolvedAnomie
ResolvedTgr
OpenNone
Resolvedssastry
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedDeskana
ResolvedCKoerner_WMF
ResolvedWhatamidoing-WMF
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedUrbanecm
ResolvedTgr
ResolvedTacsipacsi
ResolvedTgr
ResolvedCKoerner_WMF

Event Timeline

Thryduulf raised the priority of this task from to Needs Triage.
Thryduulf updated the task description. (Show Details)
Thryduulf added a project: Readers-Web-Backlog.
Thryduulf added a subscriber: Thryduulf.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 10:12 PM
Nemo_bis triaged this task as Normal priority.May 12 2015, 6:46 AM
Nemo_bis added a project: MobileFrontend.
Nemo_bis set Security to None.
Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.Aug 4 2015, 6:39 PM
Jdlrobson lowered the priority of this task from Normal to Low.Feb 5 2016, 12:12 AM
Jdlrobson edited projects, added Mobile; removed MobileFrontend.
TheDJ closed this task as Resolved.Mar 10 2017, 11:45 AM
TheDJ claimed this task.
TheDJ added a subscriber: TheDJ.

This was because template:hat carried the 'navbox' class. While it is visually similar to a navigation box, it is not an actual navigation box. Therefore removed the class.